| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.ArrayXf Class Reference

A multi dimensionnal array. More...

Inheritance diagram for IOLink.ArrayXf:

## Public Member Functions
| ArrayXf (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| ArrayXf (VectorXu64 shape)
| Create an array with the given shape.
| ArrayXf (Indexer indexer)
| Create an array with a memory layout fitting the given indexer.
| ArrayXf (ArrayXf other)
uint | DimensionCount ()
| The number of dimensions of the array.
VectorXu64 | Shape ()
| Return the shape of the array.
float | At (VectorXu64 index)
| Get an element of the array.
void | SetAt (VectorXu64 index, float value)
| Set a value to an element of the array.
void | Reshape (VectorXu64 shape)
| Change the shape of the array.
string | ToString ()
| Return a string representation.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ArrayXf obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (ArrayXf obj)
static bool | operator== (ArrayXf v1, ArrayXf v2)
static bool | operator!= (ArrayXf v1, ArrayXf v2)
static bool | InternalEqual (ArrayXf lhs, ArrayXf rhs)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
float this[params ulong[] | indices`[get, set]`

## Detailed Description

A multi dimensionnal array.

This class should not be used as is, you must use its aliases or it will not work. The current aliases are:

- Arrayi8
- Arrayi16
- Arrayi32
- Arrayi64
- Arrayu8
- Arrayu16
- Arrayu32
- Arrayu64
- Arrayf
- Arrayd
  Parameters

    T | The type of element stored in the array.

Examples
  SerializeArray.cs.

## Constructor & Destructor Documentation

## ◆ ArrayXf() [1/2]

IOLink.ArrayXf.ArrayXf | ( | VectorXu64 | shape | ) |
| inline

Create an array with the given shape.

The memory layout of the array will be the default one used by IOLink, the Fortran one, in wich the leftmost dimension is the continuous one.

Parameters

  shape | The shape of the array.

## ◆ ArrayXf() [2/2]

IOLink.ArrayXf.ArrayXf | ( | Indexer | indexer | ) |
| inline

Create an array with a memory layout fitting the given indexer.

Parameters

  indexer | the Indexer instance describing the mmeory layout.

## Member Function Documentation

## ◆ At()

float IOLink.ArrayXf.At | ( | VectorXu64 | index | ) |
| inline

Get an element of the array.

If Array has an empty shape (dimension count = 0), this method has an undefined behavior.

Parameters

  index | The index of the element to get.

## ◆ Reshape()

void IOLink.ArrayXf.Reshape | ( | VectorXu64 | shape | ) |
| inline

Change the shape of the array.

Parameters

  shape | The new shape.

## ◆ SetAt()

void IOLink.ArrayXf.SetAt | ( | VectorXu64 | index,
|  | float | value
| ) |  |
| inline

Set a value to an element of the array.

If Array has an empty shape (dimension count = 0), this method has an undefined behavior.

Parameters

  index | The index of the element to set.
  value | The value to set at the given index.

Examples
  SerializeArray.cs.

The documentation for this class was generated from the following file:

- Release/net/generated/ArrayXf.cs